.selector {
  &__checkbox {
    appearance: none;
    width: 15px;
    height: 15px;
    background: transparent;
    border-radius: 4px;
    border: 2px solid $text-color;
    cursor: pointer;

    font-size: 14px;
    line-height: 14px;

    &:hover {
      border: 2px solid $button-color;
    }

    &:checked {
      background-image: url('@/components/selector/img/active.svg');
      background-repeat: no-repeat;
      border: none;
    }
  }
  &__header {
    width: 137px;
    height: 36px;
    background: $input-color;
    background-image: url('@/components/selector/img/arrow.svg');
    background-repeat: no-repeat;
    background-position: center right 10px;
    box-shadow: 0px 1px 2px rgba(50, 50, 71, 0.08), 0px 0px 1px rgba(50, 50, 71, 0.2);
    border-radius: 4px;
    padding: 12px;
    border: none;
    margin-right: 14.52px;
    margin-bottom: 15px;
    color: $text-color;
    cursor: pointer;
    position: relative;

    font-size: 16px;
    line-height: 13px;
  }
  &__item {
    margin-bottom: 16px;
    cursor: pointer;
    display: flex;
    align-items: center;
  }
  &__label {
    font-size: 14px;
    line-height: 14px;
    color: $text-color;
    margin-left: 12px;
    cursor: pointer;
  }
  &__list {
    display: none;
    &_opened {
      display: block;
      list-style: none;
      padding: 0;
      padding-left: 14px;
      padding-top: 20px;
      margin: 0;
      width: 151px;
      height: 116px;
      background: $input-color;
      box-shadow: 0px 1px 2px rgba(0, 0, 0, 0.08);
      border-radius: 4px;
      position: absolute;
      z-index: 1;
    }
  }
}
